
eventListener = {};

function eventListener:loadMap(name)
    local env = g_currentMission.environment;

    env.ambientCurve = AnimCurve:new(linearInterpolator3);
    env.ambientCurve:addKeyframe({x=0.2, y=0.2, z=0.3, time = 0*60});
    env.ambientCurve:addKeyframe({x=0.2, y=0.2, z=0.3, time = 5*60});
    env.ambientCurve:addKeyframe({x=0.125, y=0.125, z=0.175, time = 6*60});
    env.ambientCurve:addKeyframe({x=0.225, y=0.225, z=0.225, time = 9*60});
    env.ambientCurve:addKeyframe({x=0.225, y=0.225, z=0.225, time = 22.50*60});
    env.ambientCurve:addKeyframe({x=0.200, y=0.200, z=0.23, time = 23*60});
    env.ambientCurve:addKeyframe({x=0.185, y=0.185, z=0.25, time = 23.50*60});
    env.ambientCurve:addKeyframe({x=0.2, y=0.2, z=0.3, time = 24*60});

    env.diffuseCurve = AnimCurve:new(linearInterpolator3);
    env.diffuseCurve:addKeyframe({x=0.0,   y=0,    z=0.05, time = 0*60});
    env.diffuseCurve:addKeyframe({x=0.0,   y=0,    z=0.05, time = 5*60});
    env.diffuseCurve:addKeyframe({x=0.2,  y=0.15, z=0.05,  time = 6*60});
    env.diffuseCurve:addKeyframe({x=0.6,  y=0.6, z=0.4,    time = 7*60});
    env.diffuseCurve:addKeyframe({x=1.0,   y=1.0,  z=0.95, time = 9*60});
    env.diffuseCurve:addKeyframe({x=1.0,   y=1.0,  z=0.95, time = 21*60});
    env.diffuseCurve:addKeyframe({x=0.8,   y=1.0,  z=0.95, time = 21.50*60}); -- darken
    env.diffuseCurve:addKeyframe({x=0.8,   y=0.8,  z=0.7,  time = 22*60}); -- red sunset
    env.diffuseCurve:addKeyframe({x=0.4,   y=0.3,  z=0.6,  time = 22.50*60}); -- to violet
    env.diffuseCurve:addKeyframe({x=0.1,   y=0.1,  z=0.2,  time = 23*60}); -- to blue
    env.diffuseCurve:addKeyframe({x=0.0,   y=0,    z=0.05, time = 23.50*60});
    env.diffuseCurve:addKeyframe({x=0,     y=0,    z=0.05, time = 24*60});

    env.skyCurve = AnimCurve:new(linearInterpolator4);
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=1.0, w=0.0, time = 0*60});
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=1.0, w=0.0, time = 5*60});
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=0.0, w=1.0, time = 6*60});
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=0.0, w=1.0, time = 7*60});
    env.skyCurve:addKeyframe({x=1.0, y=0.0, z=0.0, w=0.0, time = 8*60});
    env.skyCurve:addKeyframe({x=1.0, y=0.0, z=0.0, w=0.0, time = 21.75*60});
    env.skyCurve:addKeyframe({x=0.0, y=1.0, z=0.0, w=0.0, time = 22*60});
    env.skyCurve:addKeyframe({x=0.0, y=1.0, z=0.0, w=0.0, time = 23*60});
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=1.0, w=0.0, time = 23.50*60});
    env.skyCurve:addKeyframe({x=0.0, y=0.0, z=1.0, w=0.0, time = 24*60});
end;

function eventListener:deleteMap()
end;

function eventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function eventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function eventListener:update(dt)
end;

function eventListener:draw()
end;


addModEventListener(eventListener);